<template>
  <FormulaField
    style="font-size: 16px; padding: 0.5em 1em"
    readonly
    class="formula-preview mb-0"
    >{{ (value && value._text) || "" }}</FormulaField
  >
</template>

<script>
export default {
  name: "GMathField",
  props: {
    value: Object,
  },
  watch: {
    "value._text"() {
      // update content of FormulaField when value changes
      if (this.value && this.value._text) {
        this.$el.value = this.value._text;
      } else {
        this.$el.value = "";
      }
    },
  },
};
</script>
